---

# ---
# vars used by roles/network_interfaces
# ---


# If true, all additional files in /etc/network/interfaces/interfaces.d/ are deleted
network_manage_devices: True

# Should the interfaces be reloaded after config change?
network_interface_reload: False

network_interface_path: /etc/network/interfaces.d
network_interface_required_packages:
  - vlan
  - bridge-utils
  - ifmetric
  - ifupdown
  - ifenslave


network_interfaces:

  - device: eth0
    # use only once per device (for the first device entry)
    headline: eth0 - The primary network interface

    # auto & allow are only used for the first device entry
    allow: [] # array of allow-[stanzas] eg. allow-hotplug
    auto: true

    family: inet
    method: static
    description:
    address: 192.168.42.10
    netmask: 24
    gateway: 192.168.42.254

    # optional dns settings nameservers: []
    #
    #    nameservers:
    #      - 194.150.168.168  # dns.as250.net
    #      - 91.239.100.100   # anycast.censurfridns.dk
    #    search: warenform.de
    #
    #nameservers:
    #  - 192.168.42.1
    #search: b3-bornim.netz


# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---


# ---
# vars used by roles/common/tasks/systemd-resolved.yml
# ---

systemd_resolved: true

# CyberGhost - Schnelle Verbindung mit Keine-Logs-Datenschutzrichtlinie
#   Primäre DNS-Adresse: 38.132.106.139
#   Sekundäre DNS-Adresse: 194.187.251.67
#
# Cloudflare (USA) Bester kostenloser DNS-Server für Gaming mit zuverlässigen Verbindungen
#   primäre DNS-Adresse
#      IPv4: 1.1.1.1
#      IPv6: 2606:4700:4700::1111
#   sekundäre DNS-Adresse
#      IPv4: 1.0.0.1
#      IPv6: 2606:4700:4700::1001
#
# Google (USA) Public DNS - Großartige Kombination aus Geschwindigkeit und Sicherheit
#   primäre DNS-Adresse
#      IPv4: 8.8.8.8
#      IPv6: 2001:4860:4860::8888
#   sekundäre DNS-Adresse
#      IPv4: 8.8.4.4
#      IPv6: 2001:4860:4860::8844
#
# Quad9 (CH) - Blockiert mühelos schädliche Seiten und verhindert Phishing-Betrug
#   primäre DNS-Adresse
#      IPv4: 9.9.9.9
#      IPv6: 2620:fe::fe
#   sekundäre DNS-Adresse
#      IPv4: 149.112.112.112
#      IPv6: 2620:fe::9
#
# OpenNIC - https://www.opennic.org/
#      IPv4: 195.10.195.195 - ns31.de
#      IPv4: 94.16.114.254  - ns28.de
#      IPv4: 51.254.162.59  - ns9.de
#      IPv4: 194.36.144.87  - ns29.de
#      IPv6: 2a00:f826:8:2::195 - ns31.de
#
# Freifunk München (normales DNS, DNS-over-TLS und DNS-over-HTTPS)
#    IPv4: 5.1.66.255
#    IPv6: 2001:678:e68:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    IPv4: 185.150.99.255
#    IPv6: 2001:678:ed0:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    für iOS 14+: DoT-Server-Konfiguration (unsigniert, vom PrHdb)
resolved_nameserver:
  - 192.168.42.1

# search domains
#
# If there are more than one search domains, then specify them here in the order in which
# the resolver should also search them
#
#resolved_domains: []
resolved_domains:
  - ~.
  - b3-bornim.netz

resolved_dnssec: false

# dns.as250.net: 194.150.168.168
#
resolved_fallback_nameserver:
   - 172.16.42.254


# ---
# vars used by roles/common/tasks/cron.yml
# ---

cron_user_special_time_entries:

  - name: "Restart DNS Cache service 'systemd-resolved'"
    special_time: reboot
    job: "sleep 10 ; /bin/systemctl restart systemd-resolved"
    insertafter: PATH



# ---
# vars used by roles/common/tasks/users.yml
# ---


sudo_users:
  - chris
  - sysadm
  - localadmin


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---


# ---
# vars used by roles/common/tasks/samba-config-server.yml
# vars used by roles/common/tasks/samba-user.yml
# ---

samba_server_ip: 192.168.42.10
samba_server_cidr_prefix: 24

samba_workgroup: B3-BORNIM

samba_netbios_name: BBB-SERVER

samba_groups:
  - name: buero
    group_id: 1100
  - name: team
    group_id: 1110
  - name: fnr
    group_id: 1120
  - name: gs
    group_id: 1130
  - name: gf
    group_id: 1140
  - name: praktikant
    group_id: 1150


samba_user:

  - name: b3-user
    groups:
      - buero
      - team
      - fnr
      - praktikant
    password: '20-buero_user-22!'

  - name: b3-prakti
    groups:
      - praktikant
    password: '20-b3_praktikant-22%'
  
  - name: caroline
    groups:
      - praktikant
    password: '19-caro_20-line%'

  - name: chris
    groups:
      - buero
      - team
      - fnr
      - gs
      - gf
      - praktikant
    password: !vault |
          $ANSIBLE_VAULT;1.1;AES256
          63643330373231636537366333326630333265303265653933613835656262323863363038653234
          3462653135633266373439626263356636646637643035340a653466356235346663626163306363
          61313164643061306433643738643563303036646334376536626531383965303036386162393832
          6631333038306462610a356535633265633563633962333137326533633834636331343562633765
          3631

  - name: christian
    groups:
      - buero
      - team
      - fnr
      - praktikant
    password: '17-chris_tian%20'

  - name: christiane
    groups:
      - buero
      - team
      - fnr
      - praktikant
    password: '18-chris_tiane%20!'

  - name: ingo
    groups:
      - buero
      - team
      - fnr
      - praktikant
    password: '20ib11'

  - name: janin
    groups:
      - buero
      - team
      - fnr
      - praktikant
    password: '20_janin-17%'

  - name: matthias
    groups:
      - buero
      - team
      - fnr
      - gs
      - gf
      - praktikant
    password: 'bornim'

  - name: prakti
    groups:
      - buero
      - team
      - fnr
      - praktikant
    password: 'pr2011'

  - name: susi
    groups:
      - buero
      - team
      - fnr
      - gf
      - praktikant
    password: '21susi21'
    # password system:  1.Larsi2
    # password samba:   21susi21

base_home: /home

samba_homes_virusfilter: true

# remove_samba_users:
#   - name: name1
#   - name: name2
#
remove_samba_users: []

samba_shares:

  - name: bhoch3-verzeichnis
    comment: bhoch3 - READONLY
    path: /home/bhoch3
    read_only: !!str yes
    browsable: !!str yes
    guest_ok: !!str no
    writeable: !!str no
    group_valid_users: buero
    vfs_object_virusfilter: true
    vfs_object_recycle: false

  - name: bhoch3
    path: /data/samba/share/bhoch3
    group_valid_users: buero
    group_write_list: buero
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: team
    path: '/data/samba/share/team'
    group_valid_users: 'team'
    group_write_list: 'team'
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: team-praktikant
    path: '/data/samba/share/team-praktikant'
    group_valid_users: 'praktikant'
    group_write_list: 'praktikant'
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: fnr-projekt
    comment: FNR Projekt
    path: /data/samba/share/fnr-projekt
    group_valid_users: fnr
    group_write_list: fnr
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: buero
    path: /data/samba/share/buero
    group_valid_users: buero
    group_write_list: buero
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: gs
    comment: Gesellschafter 
    path: /data/samba/share/gesellschafter
    group_valid_users: gs
    group_write_list: gs
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: gf
    comment: Geschäftsführer
    path: /data/samba/share/geschaeftsfuehrer
    group_valid_users: gf
    group_write_list: gf
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: private_mp
    comment: Matthias - privat
    path: /data/samba/share-not-backuped/private_mp
    group_valid_users: matthias
    group_write_list: matthias
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'


# ==============================


# ---
# vars used by scripts/reset_root_passwd.yml
# ---

root_user:
  name: root
  password: $6$J1ssJfdshf/$mknQEPDcW4HN5.wFfawbamamywI7F7fhdZmaR1abNrc4DA7DNRx766lz3ygf9YV3gcmRq3QhJ3fBVlkwGMCvq.
